# A default Tutor Configuration File
# Grove will use these configuration values as default for new Tutor instances
# This file will get copied to instances/{INSTANCE_NAME}/config.yml
# To check the full list of configuration, visit - https://docs.tutor.overhang.io/configuration.html

# Specify enabled plugins
PLUGINS:
  #  - ecommerce
  #  - discovery
  #  - xqueue
  - mfe
  - s3
  - forum
  - grove
  - newrelic
  - k8s_harmony

# Prevent Tutor from deploying MySQL server so that we can use an external database.
RUN_MYSQL: false

# Allow Tutor to deploy Redis
RUN_REDIS: true

# Prevent Tutor from deploying MongoDB
RUN_MONGODB: false

# Prevent Tutor from deploying load balancer. Use Caddy only for proxy
ENABLE_WEB_PROXY: false
ENABLE_HTTPS: true

# Specify platform repository and version to build image
EDX_PLATFORM_REPOSITORY: https://github.com/openedx/edx-platform.git
EDX_PLATFORM_VERSION: open-release/redwood.1
OPENEDX_COMMON_VERSION: open-release/redwood.1
SITE_CONFIG:
  version: 0

# The default comprehensive theme (edx-simple-theme) contains a NPM brand package.
GROVE_COMPREHENSIVE_THEME_BRAND_PACKAGE_NAME: edx-simple-theme
OPENEDX_EXTRA_PIP_REQUIREMENTS:
  - dnspython

# Prevent tutor from deploying test SMTP pods
RUN_SMTP: false
# Add SMTP details below
SMTP_HOST: FILL_ME_IN
SMTP_PORT: 25
SMTP_USERNAME: FILL_ME_IN
SMTP_PASSWORD: FILL_ME_IN
SMTP_USE_TLS: true
SMTP_USE_SSL: false

# Harmony Setup
K8S_HARMONY_NAMESPACE: harmony

# K8S Namepsace for the instance's resources. Usually same as the ID.
K8S_NAMESPACE: FILL_ME_IN

# Opt-in to shared elasticsearch
K8S_HARMONY_ENABLE_SHARED_SEARCH_CLUSTER: true

# NewRelic
NEWRELIC_ACCOUNT_ID: FILL_ME_IN
NEWRELIC_API_KEY: FILL_ME_IN
NEWRELIC_REGION_CODE: FILL_ME_IN # EU or US
# NEWRELIC_SYNTHETICS_MONITORS:
#   - name: basic monitoring
#     recipient: FILL_ME_IN # Single email address
#     urls:
#       - https://FILL_ME_IN/heartbeat # Replace with LMS host
#       - https://FILL_ME_IN/heartbeat?extended # Replace with LMS host
#       - https://studio.FILL_ME_IN/heartbeat # Replace with CMS host
